<?php
namespace Mirasvit\Brand\Block\Brand\Content;

/**
 * Interceptor class for @see \Mirasvit\Brand\Block\Brand\Content
 */
class Interceptor extends \Mirasvit\Brand\Block\Brand\Content implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Brand\Service\BrandPageService $brandPageService, \Magento\Framework\View\Element\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($brandPageService, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
